RelativeTimeDateFormat Class Reference

Formats a date by printing the number of seconds elapsed since the start of the application. More...

Inherits DateFormat.

## Public Member Functions

| RelativeTimeDateFormat ()
virtual void | format (LogString &s, log4cxx_time_t tm, log4cxx::helpers::Pool &p) const
| Formats an log4cxx_time_t into a date/time string. More...
Public Member Functions inherited from DateFormat
virtual | ~DateFormat ()
| Destructor. More...
virtual void | setTimeZone (const TimeZonePtr &zone)
| Sets the time zone. More...
virtual void | numberFormat (LogString &s, int n, log4cxx::helpers::Pool &p) const
| Format an integer consistent with the format method. More...
Public Member Functions inherited from ObjectImpl
| ObjectImpl ()
virtual | ~ObjectImpl ()
void | addRef () const
void | releaseRef () const
Public Member Functions inherited from Object
virtual const helpers::Class & | getClass () const
virtual | ~Object ()
virtual bool | instanceof (const Class &clazz) const =0
virtual const void * | cast (const Class &clazz) const =0

## Additional Inherited Members

Static Public Member Functions inherited from Object
static const helpers::Class & | getStaticClass ()
static const log4cxx::helpers::ClassRegistration & | registerClass ()
Protected Member Functions inherited from DateFormat
| DateFormat ()
| Constructor. More...
Protected Attributes inherited from ObjectImpl
unsigned int volatile | ref

## Detailed Description

Formats a date by printing the number of seconds elapsed since the start of the application.

This is the fastest printing DateFormat in the package.

## Constructor & Destructor Documentation

RelativeTimeDateFormat | ( |  | ) |

## Member Function Documentation

virtual void format | ( | LogString & | s,
|  | log4cxx_time_t | tm,
|  | log4cxx::helpers::Pool & | p
| ) |  | const

virtual

Formats an log4cxx_time_t into a date/time string.

Parameters

  s | string to which the date/time string is appended.
  tm | date to be formatted.
  p | memory pool used during formatting.

Implements DateFormat.

The documentation for this class was generated from the following file:

- relativetimedateformat.h